Debian Bug report logs - #512066
debootstrap needs customised hostname handling

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Jelle de Jong <jelledejong@powercraft.nl>

Date: Fri, 16 Jan 2009 21:03:01 UTC

Severity: important

Tags: confirmed

Done: Jelle de Jong <jelledejong@powercraft.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Fri, 16 Jan 2009 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
New Bug report received and forwarded. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 21:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap: encountered while processing: ssmtp
Date: Fri, 16 Jan 2009 22:00:51 +0100
[Message part 1 (text/plain, inline)]
Package: buildd.emdebian.org
Severity: normal


Testing the debootstrap again, and decided to report the failures.
See the attachement for the complete log.

Thanks for all the hard work,

Jelle

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (50, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[ssmtp.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Fri, 16 Jan 2009 21:19:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 21:19:46 GMT) Full text and rfc822 format available.

Message #10 received at 512066@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 512066@bugs.debian.org
Subject: problem identified
Date: Fri, 16 Jan 2009 22:12:25 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I did some research and the problem is that there is no hostname. The
below command fix this.

up to the next issue.

unset LANG
echo "emdebian" | tee /etc/hostname
echo "127.0.0.1    emdebian localhost.localdomain localhost" | tee
/etc/hosts
dpkg --configure -a

Best regards,

Jel
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAklw+DcACgkQ1WclBW9j5HnwmAP/U9rCUm0o6IyWf+n/ROtz7Ji6
pKaXGc2s59XFip8hKE3B1LNqnqmEzf+dcxL5IaEmvlvH4znWHu8imfyL3fD5c91c
qKMN/nuZwrB2WIgYelXNW2VHaKsJiU9zv31xE6edkfC4TiI1i6LfxUK2/ofFMxRj
f2lr1A5JHSd7dZo2GWo=
=XkZg
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Fri, 16 Jan 2009 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 21:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 512066@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Jelle de Jong <jelledejong@powercraft.nl>, 512066@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#512066: problem identified
Date: Fri, 16 Jan 2009 21:53:10 +0000
[Message part 1 (text/plain, inline)]
Package: buildd.emdebian.org
tag 512066 + confirmed
retitle 512066 debootstrap needs customised hostname handling
severity 512066 important
thanks

On Fri, 16 Jan 2009 22:12:25 +0100
Jelle de Jong <jelledejong@powercraft.nl> wrote:

> I did some research and the problem is that there is no hostname. The
> below command fix this.
> 
> up to the next issue.
> 
> unset LANG
> echo "emdebian" | tee /etc/hostname
> echo "127.0.0.1    emdebian localhost.localdomain localhost" | tee
> /etc/hosts
> dpkg --configure -a

Yes, this is an old (-ish) bug but it's difficult to see how to fix it
without using Debian-Installer to set a user-specified hostname.

Setting a default hostname is problematic. Copying the hostname of the
host system is normal practice for a chroot because it's not expected
to copy that debootstrap onto a completely different machine.

Whatever scripts people use to copy the debootstrap onto the device
need to make that decision and implement the appropriate fix.

Ideas?

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Tags added: confirmed Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 21:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to `debootstrap needs customised hostname handling' from `debootstrap: encountered while processing: ssmtp'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 21:54:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 21:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Fri, 16 Jan 2009 22:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 22:12:02 GMT) Full text and rfc822 format available.

Message #26 received at 512066@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: Neil Williams <codehelp@debian.org>, 512066@bugs.debian.org
Subject: Re: Bug#512066: problem identified
Date: Fri, 16 Jan 2009 23:10:47 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Neil Williams wrote:
> Package: buildd.emdebian.org
> tag 512066 + confirmed
> retitle 512066 debootstrap needs customised hostname handling
> severity 512066 important
> thanks
> 
> On Fri, 16 Jan 2009 22:12:25 +0100
> Jelle de Jong <jelledejong@powercraft.nl> wrote:
> 
>> I did some research and the problem is that there is no hostname. The
>> below command fix this.
>>
>> up to the next issue.
>>
>> unset LANG
>> echo "emdebian" | tee /etc/hostname
>> echo "127.0.0.1    emdebian localhost.localdomain localhost" | tee
>> /etc/hosts
>> dpkg --configure -a
> 
> Yes, this is an old (-ish) bug but it's difficult to see how to fix it
> without using Debian-Installer to set a user-specified hostname.
> 
> Setting a default hostname is problematic. Copying the hostname of the
> host system is normal practice for a chroot because it's not expected
> to copy that debootstrap onto a completely different machine.
> 
> Whatever scripts people use to copy the debootstrap onto the device
> need to make that decision and implement the appropriate fix.
> 
> Ideas?
> 

I am wondering, when doing a normal debootstrap of sid or lenny, it just
takes the hostname of the debootstraping system, this always worked
fine... what is diffrent with emdebian that this does not work. Can't it
just copy the /etc/hostname /etc/hosts /etc/resolv.conf and you got a
working network directly after chrooting.

This bug is no stopper, it just needs to be documentation correctly. It
is just not so nice that debootstrap fails, it should run in one time
100% successful :-D

Best regards,

Jelle

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAklxBeUACgkQ1WclBW9j5HmmVQP/dp+xoKYqYbMTcD1CMADk+/8U
ijvW3jlJPyAeCSkrtVdsACmX9CFDyqTXCByIIT6phlrpHuJy0drJiH6RVHd+irAt
T4jIvmnHTWldE5rlm12CeZWrzKnO5P/z1xwWYeSktqC2pFc2iYAYfgROec8qeEHN
qTXovSd04xBn9DNlSFM=
=+xJi
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Fri, 16 Jan 2009 22:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Fri, 16 Jan 2009 22:27:02 GMT) Full text and rfc822 format available.

Message #31 received at 512066@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Jelle de Jong <jelledejong@powercraft.nl>
Cc: 512066@bugs.debian.org
Subject: Re: Bug#512066: problem identified
Date: Fri, 16 Jan 2009 22:25:00 +0000
[Message part 1 (text/plain, inline)]
On Fri, 16 Jan 2009 23:10:47 +0100
Jelle de Jong <jelledejong@powercraft.nl> wrote:

> > Yes, this is an old (-ish) bug but it's difficult to see how to fix it
> > without using Debian-Installer to set a user-specified hostname.
> > 
> > Setting a default hostname is problematic. Copying the hostname of the
> > host system is normal practice for a chroot because it's not expected
> > to copy that debootstrap onto a completely different machine.
> > 
> > Whatever scripts people use to copy the debootstrap onto the device
> > need to make that decision and implement the appropriate fix.
> > 
> > Ideas?
> > 
> 
> I am wondering, when doing a normal debootstrap of sid or lenny, it just
> takes the hostname of the debootstraping system, this always worked

That is fine - as long as the debootstrapped system is always going to
live on the system that donates the hostname.

We move that debootstap onto a new system and then try to connect to
that new system over a local network and the hostname goes bang.

> fine... what is diffrent with emdebian that this does not work. Can't it
> just copy the /etc/hostname /etc/hosts /etc/resolv.conf and you got a
> working network directly after chrooting.
> 
> This bug is no stopper, it just needs to be documentation correctly. It
> is just not so nice that debootstrap fails, it should run in one time
> 100% successful :-D

Take a look at balloon3-config - that provides the workaround for
balloon3 and something like that may be necessary more generally. The
issue is can we realistically enforce a fixed hostname on all systems?

D-I avoids this issue entirely, this only relates to debootstrap used
outside d-i.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#512066; Package buildd.emdebian.org. (Mon, 09 Feb 2009 18:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelle de Jong <jelledejong@powercraft.nl>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Mon, 09 Feb 2009 18:06:05 GMT) Full text and rfc822 format available.

Message #36 received at 512066@bugs.debian.org (full text, mbox):

From: Jelle de Jong <jelledejong@powercraft.nl>
To: 512066@bugs.debian.org, 512066-done@bugs.debian.org
Subject: bug has been fixed/resolved
Date: Mon, 09 Feb 2009 19:04:15 +0100
Hello everybody,

With the last changes to emdebian debootstrap system the bug is
resolved. I am closing the bug report.

Best regards,

Jelle de Jong




Reply sent to Jelle de Jong <jelledejong@powercraft.nl>:
You have taken responsibility. (Mon, 09 Feb 2009 18:06:07 GMT) Full text and rfc822 format available.

Notification sent to Jelle de Jong <jelledejong@powercraft.nl>:
Bug acknowledged by developer. (Mon, 09 Feb 2009 18:06:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Mar 2009 07:35:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:52:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.